<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>Base_Compressor.cpp</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00016</filename>
    <includes id="a00017" name="Base_Compressor.h" local="yes" imported="no">tao/Compression/Base_Compressor.h</includes>
    <namespace>TAO</namespace>
  </compound>
  <compound kind="file">
    <name>Base_Compressor.h</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00017</filename>
    <includes id="a00021" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <includes id="a00019" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <class kind="class">TAO::BaseCompressor</class>
    <namespace>TAO</namespace>
  </compound>
  <compound kind="file">
    <name>Compression.cpp</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00018</filename>
    <includes id="a00019" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <includes id="a00024" name="Compression_Manager.h" local="yes" imported="no">tao/Compression/Compression_Manager.h</includes>
  </compound>
  <compound kind="file">
    <name>Compression.h</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00019</filename>
    <includes id="a00021" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <class kind="class">TAO_Compression_Loader</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_SAFE_INCLUDE</name>
      <anchorfile>a00019.html</anchorfile>
      <anchor>a2fbc6123a3d3937d30bbf13d23827a76</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static int</type>
      <name>TAO_Requires_Compression_Initializer</name>
      <anchorfile>a00019.html</anchorfile>
      <anchor>a3bbb9f1e9f871a22528a1da00de2a954</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Compression.pidl</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00020</filename>
    <class kind="exception">Compression::CompressionException</class>
    <class kind="exception">Compression::FactoryAlreadyRegistered</class>
    <class kind="exception">Compression::UnknownCompressorId</class>
    <class kind="struct">Compression::CompressorIdLevel</class>
    <class kind="interface">Compression::Compressor</class>
    <class kind="interface">Compression::CompressorFactory</class>
    <class kind="interface">Compression::CompressionManager</class>
    <namespace>Compression</namespace>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>CompressorId</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a71267987083f7e04141a9f8003ac9f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>CompressionLevel</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a996ffe065150609b8c7b8bdb0dd10a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>float</type>
      <name>CompressionRatio</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a376ada96602b4ef088739b60cc819c01</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; CompressorIdLevel &gt;</type>
      <name>CompressorIdLevelList</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a1d2fc31d914cb7fa73297ce662932559</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CORBA::OctetSeq</type>
      <name>Buffer</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a905d4cdf4b0ab2cddea28d501a056aa9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; CompressorFactory &gt;</type>
      <name>CompressorFactorySeq</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>abd8d58c7f2cedae9ef248dfc58a266ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>typeprefix Compression omg</type>
      <name>org</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a6aa544a92a2c15a32dae969b1a57bddc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_NONE</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a8c906dec846bc5a3e2cd95c00c213355</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_GZIP</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>afe315a4446dfa86b373121045c34f4e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_PKZIP</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a44280b73dc41b09ad5b087f10cb620b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_BZIP2</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a565c8afaae4b44ad149dd45f38eeb971</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_ZLIB</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a4a72a488512b767122a0631187a4396d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_LZMA</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>aae125f9ad3fa1550865a7267a0adbacf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_LZO</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a763498464c809e6b1bb19c2edb93f1c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_RZIP</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a17392f72a1a4c4494cc40911cf3d81ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_7X</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a585be0b9a16d84d72bcba0721d74c830</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_XAR</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a8fc1fc2702a7140cf2720b375e659ccd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_RLE</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>aa4d70fb94fe281104cbdd80b124ab61e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>compression_export.h</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00021</filename>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_HAS_DLL</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>ae08821f2c44dc4d4ea5c49d34e91e58d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_Compression_Export</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>aee172dfe26c4916b866b0c1d9d785ccc</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_SINGLETON_DECLARATION</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a456c3605c9e5c1b5e78bee326dd9d18c</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TAO_COMPRESSION_SINGLETON_DECLARE</name>
      <anchorfile>a00021.html</anchorfile>
      <anchor>a90d98275c3d82a22168343e6f0afefda</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Compression_include.pidl</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00022</filename>
    <includes id="a00020" name="Compression.pidl" local="yes" imported="yes">tao/Compression/Compression.pidl</includes>
  </compound>
  <compound kind="file">
    <name>Compression_Manager.cpp</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00023</filename>
    <includes id="a00024" name="Compression_Manager.h" local="yes" imported="no">tao/Compression/Compression_Manager.h</includes>
    <namespace>TAO</namespace>
  </compound>
  <compound kind="file">
    <name>Compression_Manager.h</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00024</filename>
    <includes id="a00021" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <includes id="a00019" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <class kind="class">TAO::CompressionManager</class>
    <namespace>TAO</namespace>
  </compound>
  <compound kind="file">
    <name>Compressor_Factory.cpp</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00025</filename>
    <includes id="a00026" name="Compressor_Factory.h" local="yes" imported="no">tao/Compression/Compressor_Factory.h</includes>
    <namespace>TAO</namespace>
  </compound>
  <compound kind="file">
    <name>Compressor_Factory.h</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/Compression/</path>
    <filename>a00026</filename>
    <includes id="a00021" name="compression_export.h" local="yes" imported="no">tao/Compression/compression_export.h</includes>
    <includes id="a00019" name="Compression.h" local="yes" imported="no">tao/Compression/Compression.h</includes>
    <class kind="class">TAO::CompressorFactory</class>
    <namespace>TAO</namespace>
  </compound>
  <compound kind="class">
    <name>TAO::BaseCompressor</name>
    <filename>a00005.html</filename>
    <base virtualness="virtual">Compression::Compressor</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>BaseCompressor</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>ada68ee3c33b41d2e6c4c91bd86c68238</anchor>
      <arglist>(::Compression::CompressorFactory_ptr compressor_factory,::Compression::CompressionLevel compression_level)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>compress</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a4c3e92fe737038b3671f359691b04133</anchor>
      <arglist>(const ::Compression::Buffer &amp;source,::Compression::Buffer &amp;target)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>decompress</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a2b92be75cf2b2a9ec9b0d146e3df0cb9</anchor>
      <arglist>(const ::Compression::Buffer &amp;source,::Compression::Buffer &amp;target)=0</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressorFactory_ptr</type>
      <name>compressor_factory</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a4121d93632b82310f6d622684a3508c9</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressionLevel</type>
      <name>compression_level</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a3e7ba6dedd79333bca7b7439fc6e484b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::CORBA::ULongLong</type>
      <name>compressed_bytes</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>afb347fccd6801018cbb3633340ac5cba</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::CORBA::ULongLong</type>
      <name>uncompressed_bytes</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a165f9085da5af03e4cffd046bc7f0abb</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressionRatio</type>
      <name>compression_ratio</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a08198d62318cfdf73bbfe6cb6c23631a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>update_stats</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>aa64cb3abb94b462bb4959f6108a64da5</anchor>
      <arglist>(::CORBA::ULongLong uncompressed_bytes,::CORBA::ULongLong compressed_bytes)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TAO_SYNCH_MUTEX</type>
      <name>mutex_</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a7ecc6c0d1c5f5ab94d1d19c7c44dfbfc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::Compression::CompressionLevel</type>
      <name>compression_level_</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a5f41300598bea063a7a8ee417c4bdfee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::Compression::CompressorFactory *</type>
      <name>compressor_factory_</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a0211c53919f823484862792f1e6c9115</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::CORBA::ULongLong</type>
      <name>compressed_bytes_</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a353bdf42a4335c34388a50e2a542b0f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>::CORBA::ULongLong</type>
      <name>uncompressed_bytes_</name>
      <anchorfile>a00005.html</anchorfile>
      <anchor>a5b7ac1e86ffbfcfd9d51821bb747193b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>Compression::CompressionException</name>
    <filename>a00006.html</filename>
    <member kind="variable">
      <type>long</type>
      <name>reason</name>
      <anchorfile>a00006.html</anchorfile>
      <anchor>ae8fcffaac50ce63f31cc8f60a0837418</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>string</type>
      <name>description</name>
      <anchorfile>a00006.html</anchorfile>
      <anchor>a860802c84814c2139e0f2adcb8150fda</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>Compression::CompressionManager</name>
    <filename>a00007.html</filename>
    <member kind="function">
      <type>void</type>
      <name>register_factory</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a41ce020c76bd288dfb55d3a6aeeb0dbb</anchor>
      <arglist>(in CompressorFactory compressor_factory)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unregister_factory</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>adc487af7536fdd80206c7af95ee49cde</anchor>
      <arglist>(in CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>CompressorFactory</type>
      <name>get_factory</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>ad847e28e3fe1e8c4e5682fd4e21174ce</anchor>
      <arglist>(in CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>Compressor</type>
      <name>get_compressor</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a9aa4374a1a32b3a96f58e8e1eb6e6280</anchor>
      <arglist>(in CompressorId compressor_id, in CompressionLevel compression_level)</arglist>
    </member>
    <member kind="function">
      <type>CompressorFactorySeq</type>
      <name>get_factories</name>
      <anchorfile>a00007.html</anchorfile>
      <anchor>a9b3edec99e2510deac743890c372ffc2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::CompressionManager</name>
    <filename>a00008.html</filename>
    <base virtualness="virtual">Compression::CompressionManager</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CompressionManager</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>a479f8eb8907af8ea841332a49db7e464</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>register_factory</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>a1894cdeaf3d8c329c9a14da7fd7adfd5</anchor>
      <arglist>(::Compression::CompressorFactory_ptr compressor_factory)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unregister_factory</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>a00e61d1fbbc30e5d4af6e09467584233</anchor>
      <arglist>(::Compression::CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressorFactory_ptr</type>
      <name>get_factory</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>ae063096413f045cfa79b63422395e481</anchor>
      <arglist>(::Compression::CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::Compressor_ptr</type>
      <name>get_compressor</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>ac4b6edd08f5488f0b50227d2f7918e69</anchor>
      <arglist>(::Compression::CompressorId compressor_id,::Compression::CompressionLevel compression_level)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressorFactorySeq *</type>
      <name>get_factories</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>a6c62e296310a314c475cc367e164c4cb</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>TAO_SYNCH_MUTEX</type>
      <name>mutex_</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>a36b75b3d72416bdf91ce6dc621793f29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Compression::CompressorFactorySeq</type>
      <name>factories_</name>
      <anchorfile>a00008.html</anchorfile>
      <anchor>a9a435adeb16d8218411feab0f0cb6507</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>Compression::Compressor</name>
    <filename>a00009.html</filename>
    <member kind="function">
      <type>void</type>
      <name>compress</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>ade3df5948352c64c7f0a99f9cd8f646e</anchor>
      <arglist>(in Buffer source, inout Buffer target)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>decompress</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>ac6ea0e3b51529cca06d43c63a72ab3d3</anchor>
      <arglist>(in Buffer source, inout Buffer target)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute CompressorFactory</type>
      <name>compressor_factory</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>a17a6987752844cefd36f3ca872ed0bae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute CompressionLevel</type>
      <name>compression_level</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>a0289487c258a1b678b57c3a13209bbb2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute unsigned long long</type>
      <name>compressed_bytes</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>a8c80ecb5f0e4929093afc968a7d4ed0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute unsigned long long</type>
      <name>uncompressed_bytes</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>a88fc3d9c4bed78a1ef19607bb00ac9cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute CompressionRatio</type>
      <name>compression_ratio</name>
      <anchorfile>a00009.html</anchorfile>
      <anchor>adf0431b0187b390daf1c7b99feec1cad</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO::CompressorFactory</name>
    <filename>a00010.html</filename>
    <base virtualness="virtual">Compression::CompressorFactory</base>
    <base virtualness="virtual">CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>CompressorFactory</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>ac8a57bd7489e793030939d118455a65c</anchor>
      <arglist>(::Compression::CompressorId compressor_id)</arglist>
    </member>
    <member kind="function">
      <type>virtual ::Compression::CompressorId</type>
      <name>compressor_id</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>a1a77f2bcffeccac5ef1406a4f1e7808a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ::Compression::Compressor_ptr</type>
      <name>get_compressor</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>a6afb2c61f1b874d9c83a55023707d1c1</anchor>
      <arglist>(::Compression::CompressionLevel compression_level)=0</arglist>
    </member>
    <member kind="variable" protection="private">
      <type>::Compression::CompressorId const</type>
      <name>compressor_id_</name>
      <anchorfile>a00010.html</anchorfile>
      <anchor>a50ec9b130a8b86f296c992de4dc85759</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>Compression::CompressorFactory</name>
    <filename>a00011.html</filename>
    <member kind="function">
      <type>Compressor</type>
      <name>get_compressor</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a4de73cc7b77195562b8c502126a6b225</anchor>
      <arglist>(in CompressionLevel compression_level)</arglist>
    </member>
    <member kind="variable">
      <type>readonly attribute CompressorId</type>
      <name>compressor_id</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a957d9cd0664c2f0f8f30a245ef809eac</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>Compression::CompressorIdLevel</name>
    <filename>a00012.html</filename>
    <member kind="variable">
      <type>CompressorId</type>
      <name>compressor_id</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a137506001b9ee4b2f95044664b3cb8d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CompressionLevel</type>
      <name>compression_level</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>abc2bab5cf06415eb97d03cfe13d26106</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>Compression::FactoryAlreadyRegistered</name>
    <filename>a00013.html</filename>
  </compound>
  <compound kind="class">
    <name>TAO_Compression_Loader</name>
    <filename>a00014.html</filename>
    <base>TAO_Object_Loader</base>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>create_object</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>acdbe4551f4f7e78a67400c7559920a2e</anchor>
      <arglist>(CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>Initializer</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>ac5a92b414fd04405f56f92c787cec261</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="exception">
    <name>Compression::UnknownCompressorId</name>
    <filename>a00015.html</filename>
  </compound>
  <compound kind="namespace">
    <name>Compression</name>
    <filename>a00027.html</filename>
    <class kind="exception">Compression::CompressionException</class>
    <class kind="interface">Compression::CompressionManager</class>
    <class kind="interface">Compression::Compressor</class>
    <class kind="interface">Compression::CompressorFactory</class>
    <class kind="struct">Compression::CompressorIdLevel</class>
    <class kind="exception">Compression::FactoryAlreadyRegistered</class>
    <class kind="exception">Compression::UnknownCompressorId</class>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>CompressorId</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a71267987083f7e04141a9f8003ac9f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned short</type>
      <name>CompressionLevel</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a996ffe065150609b8c7b8bdb0dd10a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>float</type>
      <name>CompressionRatio</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a376ada96602b4ef088739b60cc819c01</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; CompressorIdLevel &gt;</type>
      <name>CompressorIdLevelList</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a1d2fc31d914cb7fa73297ce662932559</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CORBA::OctetSeq</type>
      <name>Buffer</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a905d4cdf4b0ab2cddea28d501a056aa9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; CompressorFactory &gt;</type>
      <name>CompressorFactorySeq</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>abd8d58c7f2cedae9ef248dfc58a266ea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>typeprefix Compression omg</type>
      <name>org</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a6aa544a92a2c15a32dae969b1a57bddc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_NONE</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a8c906dec846bc5a3e2cd95c00c213355</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_GZIP</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>afe315a4446dfa86b373121045c34f4e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_PKZIP</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a44280b73dc41b09ad5b087f10cb620b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_BZIP2</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a565c8afaae4b44ad149dd45f38eeb971</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_ZLIB</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a4a72a488512b767122a0631187a4396d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_LZMA</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>aae125f9ad3fa1550865a7267a0adbacf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_LZO</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a763498464c809e6b1bb19c2edb93f1c8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_RZIP</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a17392f72a1a4c4494cc40911cf3d81ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_7X</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a585be0b9a16d84d72bcba0721d74c830</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_XAR</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a8fc1fc2702a7140cf2720b375e659ccd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const CompressorId</type>
      <name>COMPRESSORID_RLE</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>aa4d70fb94fe281104cbdd80b124ab61e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO</name>
    <filename>a00029.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a878a09c0a6b1c88dbb8a8af77ef97799</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_array_sequence&lt; T_array, T_slice, T_tag, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ae1c04959ff558635f5409703fef39e20</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_array_sequence&lt; T_array, T_slice, T_tag, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a9212964f2fb8628a87c95a727d5937e0</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Short, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad3526e200154e9e94a857708ea290133</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Long, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aaa6566e5dcd0152114ed7fad6fd85c62</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::ULong, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a11164f63a510f3dc7c729e0dd154e2ff</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::UShort, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aaed0fcfcb12e232d0f18caef4a3bd6b1</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Octet, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a42e074a1b38d9dcf4fdfccf83afd49d0</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Char, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a01d9aec7879ff8737d543953dd9453a4</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Float, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a4a0ddbb118bd339744e1fc210a3792d7</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Double, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a9bdb9f3b12fa0497ffb0cc7cc44d9463</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::LongLong, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ae89be5c5e2b2f44fca5de2a05d9ae691</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::ULongLong, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a474c629823ecfe13d11a532066dff7da</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::LongDouble, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ab1d8b90a176bf1910d7aa8540d0f9338</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Boolean, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a748f636f4a861cd12fbf0771fa640efb</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; value_t, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>acc1f947bb732b3f5348128e650531d81</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_basic_string_sequence&lt; charT, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a10a5b40e182dae812ccc66a2f0bc692d</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_bd_string_sequence&lt; charT, MAX, BD_STR_MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aa796c0e2a837ba5a123bab77f0b78ecf</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_object_reference_sequence&lt; object_t, object_t_var, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aab2c28a034755ef26ce2ffea6a88fae1</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Short, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad02f5cb90d83ebcad726bbd719542242</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Long, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a6e3f68b81693cddda3032f66990ac2b9</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::ULong, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a8b4cb747346a1a6b5cd11e1e5a1fa2a5</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::UShort, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a6a7f96e1ecd8abb7b649a3633406b124</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Octet, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a45aebc3180eeeb5b138ffcdbff34bf34</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Char, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a0eb7a99f6b1ba5ff3ac0d0be344b3341</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Float, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a542ebc7348f598de1514224bb549cf7c</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Double, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aff5b6d970756bf51575262ef8747385a</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::LongLong, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a9bc8236c17a35f60fcc039d92d760bb7</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::ULongLong, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ac82795209e000382993b119b0ac87d86</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::LongDouble, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a982970309388115ce16b7589ea54ea69</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Boolean, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a9a628e185af448048e12bed648d00e10</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; value_t, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a539169094947c27f6cee29725b3982f3</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_basic_string_sequence&lt; charT, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a49ef4b98bb3661b003c0479129f17c15</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_bd_string_sequence&lt; charT, MAX, BD_STR_MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aa9a7644a8fb771e17e91eb5943266a57</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_object_reference_sequence&lt; object_t, object_t_var, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>translate_collocation_strategy</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a5416d4d78ceb2d5cec6dd53a68d86e39</anchor>
      <arglist>(Collocation_Strategy cs)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::SystemException *</type>
      <name>create_system_exception</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ac992edd623df16d9c81884ddcaa19673</anchor>
      <arglist>(const char *id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parse_orb_opt</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a5ce941a696e90ebb72afdec087a0378e</anchor>
      <arglist>(ACE_Argv_Type_Converter &amp;command_line, const ACE_TCHAR *orb_opt, ACE_TString &amp;opt_arg)</arglist>
    </member>
    <member kind="function">
      <type>ACE_Intrusive_Auto_Ptr&lt; ACE_Service_Gestalt &gt;</type>
      <name>find_orb_context</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a3810fd72395babb087816536128dfe95</anchor>
      <arglist>(const ACE_TString &amp;orbconfig_string)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad939a61f5f3332cc2649634f429c72f0</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_array_sequence&lt; T_array, T_slice, T_tag &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a762c9347872d23ac1aa15e5486e580dc</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_array_sequence&lt; T_array, T_slice, T_tag &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a32ce14f77019e559496a41b9bfb7d8f6</anchor>
      <arglist>(stream &amp;strm, unbounded_value_sequence&lt; CORBA::Short &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a1a73e063dbce75322d2410ec5871c689</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Long &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a7d2d93b3687a89e53c20c3b507dae1f0</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::ULong &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aab287dd47d6ae8728367ddda408ff372</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::UShort &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a9da8b7d693fd102ce54f20084d23813f</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Octet &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a848fe3183191ceab41d4f52cef1656d4</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Char &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>afaf240c8d52df30c1f7d4b0254a4afd2</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Float &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aa4fc3bf77397436cbff4a4dc3b87f3a9</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Double &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a0b2e00293ca78d4cb9cdecd58b7047f8</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::LongLong &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a71fccf1625844571c96f30483edd9f03</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::ULongLong &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ae392af34e1637ee35f87afe95d58a772</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::LongDouble &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aacd1234cdb09ecfca169fd3bc517b1ee</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Boolean &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a550dc7ebcaf672d0ca7c6adae7deb4ac</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; value_t &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aa8e09276c0387555b6667032cca150a6</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_basic_string_sequence&lt; charT &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a3486900e6916645584644b35fac5601b</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_bd_string_sequence&lt; charT, BD_STR_MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a41ef398a828912371dc5825d144ff90a</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_object_reference_sequence&lt; object_t, object_t_var &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a416daabf082ec5f1366994e349c65291</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Short &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a06d5cc7247357501812e7926e088f9b4</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Long &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ac5ab8ecdd017f39e92a600f5bee9b51e</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::ULong &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a0149c0a331604aa3b4603b9cc6d1e226</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::UShort &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ac95fa0dd7b8d1f0a0d5327bdfbfe5153</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Octet &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a7d8ac9926279cb51df83bb565dcf2110</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Char &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>af5a648f0330c582b20272fe7d4d8e17a</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Float &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad203a2976cb07561df585bb2a6162751</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Double &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a92948a6b30dbe34d4a5617af19d77b4f</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::LongLong &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a803ba8d41f40a230e17ac18000fc1ad1</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::ULongLong &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>abca9ba8097b37a9bcb5a8d21ebb3123d</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::LongDouble &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a7654b78f3672e0c3ae2acfc2e475bb6e</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Boolean &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad1d6f9544cb3aa0dc23e5eb88b99d9a3</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; value_t &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a094b325b8da5943af63b08c0f9559a25</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_basic_string_sequence&lt; charT &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a7fb3dd4120ebcdaa65085aeb62f850b6</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_bd_string_sequence&lt; charT, BD_STR_MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a550d7d78611a16949b304808bbe83079</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_object_reference_sequence&lt; object_t, object_t_var &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_value_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad03f521bf5b32e89d7294391cbdee89f</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const std::vector&lt; T &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_value_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ab6b08f83e66687de6920c7316c661db7</anchor>
      <arglist>(TAO_InputCDR &amp;strm, std::vector&lt; T &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_objref_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a170761fcd73e144ce6e55ddb40474560</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const std::vector&lt; typename T::_ptr_type &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_objref_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aaf5fcaa41ca81d25c088ee773c0d0784</anchor>
      <arglist>(TAO_InputCDR &amp;strm, std::vector&lt; typename T::_ptr_type &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_array_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aa55095a97c2edb4a00df490dcaad2787</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const std::vector&lt; typename T_forany::_slice_type * &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_array_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a6ee8b35b2c2505a156b14a0b9d9c7f79</anchor>
      <arglist>(TAO_InputCDR &amp;strm, const std::vector&lt; typename T_forany::_slice_type * &gt; &amp;source)</arglist>
    </member>
  </compound>
</tagfile>
