<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>IOR.pidl</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/IORManipulation/</path>
    <filename>a00018</filename>
    <class kind="exception">TAO_IOP::EmptyProfileList</class>
    <class kind="exception">TAO_IOP::NotFound</class>
    <class kind="exception">TAO_IOP::Duplicate</class>
    <class kind="exception">TAO_IOP::Invalid_IOR</class>
    <class kind="exception">TAO_IOP::MultiProfileList</class>
    <class kind="interface">TAO_IOP::TAO_IOR_Property</class>
    <class kind="interface">TAO_IOP::TAO_IOR_Manipulation</class>
    <namespace>TAO_IOP</namespace>
  </compound>
  <compound kind="file">
    <name>IORManip_Filter.cpp</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/IORManipulation/</path>
    <filename>a00019</filename>
    <includes id="a00020" name="IORManip_Filter.h" local="yes" imported="no">tao/IORManipulation/IORManip_Filter.h</includes>
    <includes id="a00024" name="IORManip_Loader.h" local="yes" imported="no">tao/IORManipulation/IORManip_Loader.h</includes>
  </compound>
  <compound kind="file">
    <name>IORManip_Filter.h</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/IORManipulation/</path>
    <filename>a00020</filename>
    <class kind="class">TAO_IORManip_Filter</class>
    <namespace>CORBA</namespace>
    <member kind="typedef">
      <type>Object *</type>
      <name>Object_ptr</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a68e7a2fc5cebeb5bf0d31576dfd5273a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IORManip_IIOP_Filter.cpp</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/IORManipulation/</path>
    <filename>a00021</filename>
    <includes id="a00022" name="IORManip_IIOP_Filter.h" local="yes" imported="no">tao/IORManipulation/IORManip_IIOP_Filter.h</includes>
    <includes id="a00024" name="IORManip_Loader.h" local="yes" imported="no">tao/IORManipulation/IORManip_Loader.h</includes>
  </compound>
  <compound kind="file">
    <name>IORManip_IIOP_Filter.h</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/IORManipulation/</path>
    <filename>a00022</filename>
    <includes id="a00020" name="IORManip_Filter.h" local="yes" imported="no">IORManip_Filter.h</includes>
    <class kind="class">TAO_IORManip_IIOP_Filter</class>
    <class kind="struct">TAO_IORManip_IIOP_Filter::Profile_Info</class>
    <namespace>TAO</namespace>
  </compound>
  <compound kind="file">
    <name>IORManip_Loader.cpp</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/IORManipulation/</path>
    <filename>a00023</filename>
    <includes id="a00024" name="IORManip_Loader.h" local="yes" imported="no">tao/IORManipulation/IORManip_Loader.h</includes>
    <includes id="a00026" name="IORManipulation.h" local="yes" imported="no">tao/IORManipulation/IORManipulation.h</includes>
  </compound>
  <compound kind="file">
    <name>IORManip_Loader.h</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/IORManipulation/</path>
    <filename>a00024</filename>
    <class kind="class">TAO_IORManip_Loader</class>
    <member kind="define">
      <type>#define</type>
      <name>TAO_IORMANIP_SAFE_INCLUDE</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a448804c10176de53a372e5b94dc74086</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static int</type>
      <name>TAO_Requires_IORManip_Initializer</name>
      <anchorfile>a00024.html</anchorfile>
      <anchor>a22a93403ada248124d4c695cbc66493b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>IORManipulation.cpp</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/IORManipulation/</path>
    <filename>a00025</filename>
    <includes id="a00026" name="IORManipulation.h" local="yes" imported="no">tao/IORManipulation/IORManipulation.h</includes>
  </compound>
  <compound kind="file">
    <name>IORManipulation.h</name>
    <path>/home/build/doxygen/ACE_TAO/TAO/tao/IORManipulation/</path>
    <filename>a00026</filename>
    <includes id="a00024" name="IORManip_Loader.h" local="yes" imported="no">tao/IORManipulation/IORManip_Loader.h</includes>
    <class kind="class">TAO_IOR_Manipulation_impl</class>
  </compound>
  <compound kind="exception">
    <name>TAO_IOP::Duplicate</name>
    <filename>a00006.html</filename>
  </compound>
  <compound kind="exception">
    <name>TAO_IOP::EmptyProfileList</name>
    <filename>a00007.html</filename>
  </compound>
  <compound kind="exception">
    <name>TAO_IOP::Invalid_IOR</name>
    <filename>a00008.html</filename>
  </compound>
  <compound kind="exception">
    <name>TAO_IOP::MultiProfileList</name>
    <filename>a00009.html</filename>
  </compound>
  <compound kind="exception">
    <name>TAO_IOP::NotFound</name>
    <filename>a00010.html</filename>
  </compound>
  <compound kind="struct">
    <name>TAO_IORManip_IIOP_Filter::Profile_Info</name>
    <filename>a00011.html</filename>
    <member kind="variable">
      <type>ACE_CString</type>
      <name>host_name_</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>ae5c09496e5c456f0041922a4eb84138a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TAO_GIOP_Message_Version</type>
      <name>version_</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>ad9c396378ae0c639efb7f97081ebee4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>CORBA::UShort</type>
      <name>port_</name>
      <anchorfile>a00011.html</anchorfile>
      <anchor>a16d3d9144dd88c00c7373fed34b43bd2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>TAO_IOP::TAO_IOR_Manipulation</name>
    <filename>a00012.html</filename>
    <member kind="typedef">
      <type>sequence&lt; Object &gt;</type>
      <name>IORList</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a81530bcd003efda4f9239de4d5151917</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>merge_iors</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a89f4e2ddd89dff4dbd15c1c64adbedd3</anchor>
      <arglist>(in IORList iors)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>add_profiles</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a85511a476277afaeccae4b6f743b6a70</anchor>
      <arglist>(in Object ior1, in Object ior2)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>remove_profiles</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a8493a45c8f5a0d7ed0639cfcda80d889</anchor>
      <arglist>(in Object ior1, in Object ior2)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_property</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>abfc344d85925e90696d0af1e4aee7947</anchor>
      <arglist>(in TAO_IOR_Property prop, in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_primary</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>ad24fe4f2d83de017e0eb7733f18dcf85</anchor>
      <arglist>(in TAO_IOR_Property prop, in Object ior1, in Object ior2)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>remove_primary_tag</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>aa9bef7d01e8956474434093f5f91de0b</anchor>
      <arglist>(in TAO_IOR_Property prop, in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>get_primary</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>ae3aef0f8bec3b4956205ec550a4997fa</anchor>
      <arglist>(in TAO_IOR_Property prop, in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>is_primary_set</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>ad1efd18b3ca81e1cea55168974aef151</anchor>
      <arglist>(in TAO_IOR_Property prop, in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>is_in_ior</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a76a5bf53a68bc6c475d811178aa9e7bc</anchor>
      <arglist>(in Object ior1, in Object ior2)</arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>get_profile_count</name>
      <anchorfile>a00012.html</anchorfile>
      <anchor>a8c73aad2f12cee2b50fe8c3950bcabe4</anchor>
      <arglist>(in Object ior)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_IOR_Manipulation_impl</name>
    <filename>a00013.html</filename>
    <base>TAO_IOP::TAO_IOR_Manipulation</base>
    <base>CORBA::LocalObject</base>
    <member kind="function">
      <type></type>
      <name>TAO_IOR_Manipulation_impl</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a368b3fcb8cf44de94e310b7db076a7af</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>merge_iors</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a775977d68b7beb0b0216650a12c03a89</anchor>
      <arglist>(const TAO_IOP::TAO_IOR_Manipulation::IORList &amp;iors)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>add_profiles</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>aa675b0811a01fc8271b4c3ece732dd3c</anchor>
      <arglist>(CORBA::Object_ptr ior1, CORBA::Object_ptr ior2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>remove_profiles</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>add2a8d1bd06a95d693cd750feed54d36</anchor>
      <arglist>(CORBA::Object_ptr group, CORBA::Object_ptr ior2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>set_property</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>ab65cfcd98d5a27df5d91f380e8202991</anchor>
      <arglist>(TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>set_primary</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>aa96ceb40741817abdabe895ff419b79d</anchor>
      <arglist>(TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr new_primary, CORBA::Object_ptr group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>get_primary</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a61fdb18d08f52e0d2286d3ca7c7da212</anchor>
      <arglist>(TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>is_primary_set</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>ae25367801a2cebfd25c2ad26af62b516</anchor>
      <arglist>(TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>remove_primary_tag</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a9c1b7da772b26899d8eeb0cfe243eb7e</anchor>
      <arglist>(TAO_IOP::TAO_IOR_Property_ptr prop, CORBA::Object_ptr iogr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>is_in_ior</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a5d719e1ca6d2edc65c9f863eee76db51</anchor>
      <arglist>(CORBA::Object_ptr ior1, CORBA::Object_ptr ior2)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::ULong</type>
      <name>get_profile_count</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>aaae41976d20b8da9909e9f3ef8c62211</anchor>
      <arglist>(CORBA::Object_ptr group)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>~TAO_IOR_Manipulation_impl</name>
      <anchorfile>a00013.html</anchorfile>
      <anchor>a0b40df7f8abc5522e4b888b77085eeb2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="interface">
    <name>TAO_IOP::TAO_IOR_Property</name>
    <filename>a00014.html</filename>
    <member kind="function">
      <type>boolean</type>
      <name>set_property</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a5820755542554dfc6b94d3820fca753e</anchor>
      <arglist>(inout Object ior)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>set_primary</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a9b5a23fb501275d7ae7c914d1b8af651</anchor>
      <arglist>(inout Object ior1, in Object ior2)</arglist>
    </member>
    <member kind="function">
      <type>Object</type>
      <name>get_primary</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a06b99727e93d809f37392b6adc735d14</anchor>
      <arglist>(in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>is_primary_set</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a44455f64b01b08e0b356e567d85c775d</anchor>
      <arglist>(in Object ior)</arglist>
    </member>
    <member kind="function">
      <type>boolean</type>
      <name>remove_primary_tag</name>
      <anchorfile>a00014.html</anchorfile>
      <anchor>a89004caeaaa8bd3a86c9913c3aec9520</anchor>
      <arglist>(inout Object iogr)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_IORManip_Filter</name>
    <filename>a00015.html</filename>
    <member kind="function">
      <type></type>
      <name>TAO_IORManip_Filter</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>a88d4d921a6103062f49d0ef3f98212bd</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_IORManip_Filter</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>ac0920ac2c3ef2ab9e0838e9900c214fc</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::Object_ptr</type>
      <name>sanitize_profiles</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>aeee562fe8497a5c38913ccb380ad6cc2</anchor>
      <arglist>(CORBA::Object_ptr object, TAO_Profile *profile=0)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>filter_and_add</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>a0400974953d1df9376cdd11640c8b3be</anchor>
      <arglist>(TAO_Profile *profile, TAO_MProfile &amp;profiles, TAO_Profile *guideline=0)=0</arglist>
    </member>
    <member kind="function" protection="private">
      <type>CORBA::Object_ptr</type>
      <name>sanitize</name>
      <anchorfile>a00015.html</anchorfile>
      <anchor>afbfd98431e7e9417a636e61932551f2a</anchor>
      <arglist>(CORBA::Object_ptr object, TAO_Profile *profile)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_IORManip_IIOP_Filter</name>
    <filename>a00016.html</filename>
    <base>TAO_IORManip_Filter</base>
    <class kind="struct">TAO_IORManip_IIOP_Filter::Profile_Info</class>
    <member kind="function">
      <type></type>
      <name>TAO_IORManip_IIOP_Filter</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>a1e14cdc617acf5eac912e2f7a71b0579</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TAO_IORManip_IIOP_Filter</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>ade712cdb7cfe18fd617723c61384195d</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>compare_profile_info</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>a2dee4d04e9b9efe2063d26061ffd6ea7</anchor>
      <arglist>(const TAO_IORManip_IIOP_Filter::Profile_Info &amp;left, const TAO_IORManip_IIOP_Filter::Profile_Info &amp;right)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Boolean</type>
      <name>profile_info_matches</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>aaa05777a565f73630137f7acefe24da0</anchor>
      <arglist>(const TAO_IORManip_IIOP_Filter::Profile_Info &amp;pinfo)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>filter_and_add</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>a7abefc733dfb03a389f227171e514039</anchor>
      <arglist>(TAO_Profile *profile, TAO_MProfile &amp;profiles, TAO_Profile *guideline=0)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>fill_profile_info</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>af03da5b18852c6572d56fdb20c50b611</anchor>
      <arglist>(TAO_Profile *profile, TAO_IORManip_IIOP_Filter::Profile_Info &amp;pinfo)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>int</type>
      <name>get_endpoints</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>a6df8289e517cd44e952dc63b7a2c0aca</anchor>
      <arglist>(TAO_Profile *profile, TAO::IIOPEndpointSequence &amp;endpoints)</arglist>
    </member>
    <member kind="function" protection="private">
      <type>TAO_IIOP_Profile *</type>
      <name>create_profile</name>
      <anchorfile>a00016.html</anchorfile>
      <anchor>ab59d32c5e1a2d49761d61cb918769b6b</anchor>
      <arglist>(TAO_Profile *profile)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TAO_IORManip_Loader</name>
    <filename>a00017.html</filename>
    <base>TAO_Object_Loader</base>
    <member kind="function">
      <type></type>
      <name>TAO_IORManip_Loader</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>a24c786570a67f53d1a67f26e56ed222e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CORBA::Object_ptr</type>
      <name>create_object</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>a6f40f899985473145e1671db1e7624b4</anchor>
      <arglist>(CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[])</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>Initializer</name>
      <anchorfile>a00017.html</anchorfile>
      <anchor>a1c5ca56b8219956e0f2646efdc5de35c</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>CORBA</name>
    <filename>a00027.html</filename>
    <member kind="typedef">
      <type>InterfaceDef *</type>
      <name>InterfaceDef_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aa19bafbcc138714856e64eafbf358ced</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Object *</type>
      <name>Object_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a81ea076fce9ee2d8a07ed59258cb68b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; Object &gt;</type>
      <name>Object_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ab33bc54ac683451b970340d08b028d58</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; Object &gt;</type>
      <name>Object_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a07b1729cc2513674819f1197758fc6b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TypeCode *</type>
      <name>TypeCode_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a6bc27e4f8dc3465a28486285061642e7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Policy *</type>
      <name>Policy_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a575c0c875019fab1acf4b24e2dd49231</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO::String_var&lt; CORBA::Char &gt;</type>
      <name>String_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>acfd558569ff585046e3745a15774f671</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO::String_out&lt; CORBA::Char &gt;</type>
      <name>String_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>af537cba3d8ec3f27dbd36529e1911e63</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO::String_var&lt; CORBA::WChar &gt;</type>
      <name>WString_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a5ba116f2819ccfde306e8fbc75eb5660</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO::String_out&lt; CORBA::WChar &gt;</type>
      <name>WString_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a92459b16aaeae329e353f2d0d0a5d81e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; boolean &gt;</type>
      <name>BooleanSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a1efb55d27f350e1d952e25d2778091c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; char &gt;</type>
      <name>CharSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>afe74d659a2f7798c74d1a4ed2ebd5adc</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ORB *</type>
      <name>ORB_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a1d10b7b82be321bdb642ba2b9743fa0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; double &gt;</type>
      <name>DoubleSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a3805af2e0155cadeae4d081142f3babb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>NVList *</type>
      <name>NVList_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a66eeb2a51f0f15e6b3994e4e65f7e824</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>NamedValue *</type>
      <name>NamedValue_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a31b8447c6e4e0ff08019cb5429e6c176</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ExceptionList *</type>
      <name>ExceptionList_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ae1ce916148d8cfcbc1e6a98953b468a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Request *</type>
      <name>Request_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>acd674a0fafa9763f98578c204c03b440</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Context *</type>
      <name>Context_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abed007b69f649b4c617a117a8741e795</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ServerRequest *</type>
      <name>ServerRequest_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ad59203e41533d26193fceb586569d255</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ULong</type>
      <name>Flags</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a0bfc4ecde036cffa0b8876b72b6cd686</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Environment *</type>
      <name>Environment_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ae298c8a44e5c23e7e41e2981b9696aa8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; Environment &gt;</type>
      <name>Environment_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a5f0b258b87b4b3e5ad9c84904ec05549</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; Environment &gt;</type>
      <name>Environment_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>af3309119e5347b07706c81391422de21</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Any *</type>
      <name>Any_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>adeac34d2ada149e3c68679f895121aaf</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; float &gt;</type>
      <name>FloatSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a65d543b674c3cc61795bea4cdbf74eb8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>OperationDef *</type>
      <name>OperationDef_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>acba5da4aecfd96a15cd3f9695d3036ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>LocalObject *</type>
      <name>LocalObject_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9d4f2bac51cd017d591949b7a3084acc</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; LocalObject &gt;</type>
      <name>LocalObject_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a4ad5c3d61f92cf245e77dd63618c8d52</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; LocalObject &gt;</type>
      <name>LocalObject_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a7bc6cf77cf38c9a791052f3ec839b3a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; long double &gt;</type>
      <name>LongDoubleSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aa60df28daa149c16846e4433a3ed937b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; long long &gt;</type>
      <name>LongLongSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ade48861f88862fa510026c4fae064f83</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; long &gt;</type>
      <name>LongSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>afd9318457a5f1bf9f3a533a50e374285</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ContextList *</type>
      <name>ContextList_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a41ca67a032772291b1600e6ff36d68a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>ORB_ObjectId</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a7b3d9c54dcc1d6a44e3852d71f301fc2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; ORB_ObjectId &gt;</type>
      <name>ORB_ObjectIdList</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>acffd6022dab4d456fefc3daf05a04371</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; octet &gt;</type>
      <name>OctetSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a8610f9dfe1b2c02bb7a34873ece9fead</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CORBA::ULong</type>
      <name>PolicyType</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abf77e19a7dd785c5a65ac28c05e30394</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_VarSeq_Var_T&lt; ORB_ObjectIdList &gt;</type>
      <name>ORB_ObjectIdList_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a03559d61348c3308c710cff2d99ce0c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Seq_Out_T&lt; ORB_ObjectIdList &gt;</type>
      <name>ORB_ObjectIdList_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ac2b9840f850115b553982ffd196b15df</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ValueFactoryBase *</type>
      <name>ValueFactory</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>af0d6a86b122d3d4320fac97d89b9b177</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>UShort</type>
      <name>ServiceType</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ac4c9414457a8422174e9e1a37574328e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; Request &gt;</type>
      <name>Request_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a009bb7357be6040de0c567992b0a6f8c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; Request &gt;</type>
      <name>Request_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aea7ef3b8bb970bbd89bb8ba39a590b18</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; ORB &gt;</type>
      <name>ORB_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bc662d060810e6929a999806a4a54d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; ORB &gt;</type>
      <name>ORB_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a0f5090270ba03efb2d6ff9fe4cedc928</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>CORBA::Short</type>
      <name>ValueModifier</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aecf5961884873c89a54684475b9cd8b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO::unbounded_object_reference_sequence&lt; CORBA::Request, CORBA::Request_var &gt;</type>
      <name>RequestSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a849a69db99f249f5c39325d13c6a864c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_VarSeq_Var_T&lt; RequestSeq &gt;</type>
      <name>RequestSeq_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ade3265e1f7839f0b92cafea8782fa8ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Seq_Out_T&lt; RequestSeq &gt;</type>
      <name>RequestSeq_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a6db87ec82edc28286684dc205cdaf5fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>ORBid</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a5a72a030682be508433b9ee58398edfb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>Identifier</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a7910949692eedb2dcb4087e1292b1a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>string</type>
      <name>RepositoryId</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a29dd29a6e9e928396c5ae88b5e405fdb</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>short</type>
      <name>PolicyErrorCode</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a3d0cf1f0a73a5b65873d2f7c79fe54bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; Policy &gt;</type>
      <name>PolicyList</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aa4a45dec1e1f3e2dd2bc68f7454a4cc5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; PolicyType &gt;</type>
      <name>PolicyTypeSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a33116544c2a60387ab9822cbca0b738d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Principal *</type>
      <name>Principal_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a3106432c220edb2587fb01f0b82ee714</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; Principal &gt;</type>
      <name>Principal_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a46fcdb9738f5dee2acaa17f3c4764c46</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; Principal &gt;</type>
      <name>Principal_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a7c1ba7dd7eb1113f575b641ab0dc2b4a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>ServiceOption</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abeebbe545d81dac2aad9d79701b24ca7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>ServiceDetailType</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a8ec0cac8eb09aed0981f96dbbaf04e76</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>OctetSeq</type>
      <name>ServiceDetailData</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a3416d82155c9a4542c288ea82f9fee06</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; ServiceOption &gt;</type>
      <name>ServiceOptionSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abe80fef5915ece9b095cb19ed61ececa</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; ServiceDetail &gt;</type>
      <name>ServiceDetailSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>afb7d62770a02cffbb87ed964b71bd2d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; short &gt;</type>
      <name>ShortSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>adb497f317f8dd28482e36f39e8cc533c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; string &gt;</type>
      <name>StringSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a69db80bb07ced1f042a5e21206b4efd7</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TCKind &amp;</type>
      <name>TCKind_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aee918bf08b7cc8c839517ff050caa305</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Var_T&lt; TypeCode &gt;</type>
      <name>TypeCode_var</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a7d057a626124b1f60049e8851cb7142c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>TAO_Pseudo_Out_T&lt; TypeCode &gt;</type>
      <name>TypeCode_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aec482022e96f0a42024d8e9456ea6462</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; unsigned long long &gt;</type>
      <name>ULongLongSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a928672d4b84f5552d0d833dffeb95de0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; unsigned long &gt;</type>
      <name>ULongSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a29593277361a6a2df11fa448b685dce2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; unsigned short &gt;</type>
      <name>UShortSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a2b31a760bf5f40530470be8b4f452610</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>AbstractBase *</type>
      <name>AbstractBase_ptr</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ab19d475097f618c992ff7cedc6d2b8a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; wchar &gt;</type>
      <name>WCharSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a492e0b86b6186d2aeabafa404c77fbaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>sequence&lt; wstring &gt;</type>
      <name>WStringSeq</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ace4e1d64b36d343ab07a02a34eadae3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Boolean</type>
      <name>Boolean</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a97db894e140b2fb45df6dd6708ce606d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Boolean &amp;</type>
      <name>Boolean_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ad86bd769442ca62a37a908bff7d0967a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Octet</type>
      <name>Octet</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>af54d7af22a05893872432d8327c82668</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Octet &amp;</type>
      <name>Octet_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a2bd0deec6c69a1906fcc9a769c77f01c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Short</type>
      <name>Short</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a1658296c2eb28d01b24b758b9619452a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Short &amp;</type>
      <name>Short_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ab389258ba2d7a107dee122e5ac462e35</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::UShort</type>
      <name>UShort</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a63c23c9f3cddb21ecfa1a70b988e0134</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>UShort &amp;</type>
      <name>UShort_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a6aedb39af5bfdfa8a764cf43bb354595</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Long</type>
      <name>Long</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>afbd362c85108df27f948c8d639a1f754</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Long &amp;</type>
      <name>Long_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ac7feb7d0afb4280bea454483a893a5af</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::ULong</type>
      <name>ULong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a114347f1a214ee5ea0f1deedd506d8b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ULong &amp;</type>
      <name>ULong_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>afa34338c74e6babb07417320bf25ee58</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::LongLong</type>
      <name>LongLong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aad34b4cfb5eb3419a1658ba7380a8cb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>LongLong &amp;</type>
      <name>LongLong_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ab9a76e9d68af729829c62af0bbc16cd8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::ULongLong</type>
      <name>ULongLong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ae683533c68b246a97d049e5b4f4911f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ULongLong &amp;</type>
      <name>ULongLong_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ac2b43c527cdf149e662d38dceaa16408</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Float</type>
      <name>Float</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a717eb6c249262d1bd636f22b45a471e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Float &amp;</type>
      <name>Float_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a46eaae2ae16aa821c70ca0c5ff66a5dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Double</type>
      <name>Double</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a18b4a16a44079da0b9b18bcb84fe48ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Double &amp;</type>
      <name>Double_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a76b5bdd6b639ca44865cf9cf4aacd0b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::LongDouble</type>
      <name>LongDouble</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ad0f5968714033219374e28b18906f823</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>LongDouble &amp;</type>
      <name>LongDouble_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a546973a6c642afc0d47413f066e7562f</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Char</type>
      <name>Char</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ad2d28be06b20762fc3b22069311e9889</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Char &amp;</type>
      <name>Char_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a83814aa8f443a7c3042157e64f8de1f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::WChar</type>
      <name>WChar</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ab2130e29ab96037e74c4f183b9a986cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>WChar &amp;</type>
      <name>WChar_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a7a3b6c3a62992eff0209bce26cec00c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Boolean</type>
      <name>Boolean</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a97db894e140b2fb45df6dd6708ce606d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Boolean &amp;</type>
      <name>Boolean_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ad86bd769442ca62a37a908bff7d0967a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Octet</type>
      <name>Octet</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>af54d7af22a05893872432d8327c82668</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Octet &amp;</type>
      <name>Octet_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a2bd0deec6c69a1906fcc9a769c77f01c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Short</type>
      <name>Short</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a1658296c2eb28d01b24b758b9619452a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Short &amp;</type>
      <name>Short_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ab389258ba2d7a107dee122e5ac462e35</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::UShort</type>
      <name>UShort</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a63c23c9f3cddb21ecfa1a70b988e0134</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>UShort &amp;</type>
      <name>UShort_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a6aedb39af5bfdfa8a764cf43bb354595</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Long</type>
      <name>Long</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>afbd362c85108df27f948c8d639a1f754</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Long &amp;</type>
      <name>Long_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ac7feb7d0afb4280bea454483a893a5af</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::ULong</type>
      <name>ULong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a114347f1a214ee5ea0f1deedd506d8b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ULong &amp;</type>
      <name>ULong_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>afa34338c74e6babb07417320bf25ee58</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::LongLong</type>
      <name>LongLong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aad34b4cfb5eb3419a1658ba7380a8cb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>LongLong &amp;</type>
      <name>LongLong_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ab9a76e9d68af729829c62af0bbc16cd8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::ULongLong</type>
      <name>ULongLong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ae683533c68b246a97d049e5b4f4911f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ULongLong &amp;</type>
      <name>ULongLong_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ac2b43c527cdf149e662d38dceaa16408</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Float</type>
      <name>Float</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a717eb6c249262d1bd636f22b45a471e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Float &amp;</type>
      <name>Float_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a46eaae2ae16aa821c70ca0c5ff66a5dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Double</type>
      <name>Double</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a18b4a16a44079da0b9b18bcb84fe48ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Double &amp;</type>
      <name>Double_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a76b5bdd6b639ca44865cf9cf4aacd0b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::LongDouble</type>
      <name>LongDouble</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ad0f5968714033219374e28b18906f823</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>LongDouble &amp;</type>
      <name>LongDouble_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a546973a6c642afc0d47413f066e7562f</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::Char</type>
      <name>Char</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ad2d28be06b20762fc3b22069311e9889</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Char &amp;</type>
      <name>Char_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a83814aa8f443a7c3042157e64f8de1f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>ACE_CDR::WChar</type>
      <name>WChar</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ab2130e29ab96037e74c4f183b9a986cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>WChar &amp;</type>
      <name>WChar_out</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a7a3b6c3a62992eff0209bce26cec00c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Object *</type>
      <name>Object_ptr</name>
      <anchorfile>a00027.html</anchorfile>
      <anchor>a68e7a2fc5cebeb5bf0d31576dfd5273a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>exception_type</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>exception_type</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>ParameterMode</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aadf6015a572d4b5d05ccd78ce41af8f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>SetOverrideType</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9c9c7d7de944bc381c020ed28e896483</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>CompletionStatus</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a117d0ed00d31f38b8f3ff5591a48075c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>TCKind</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>TCKind</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>ORB_ptr</type>
      <name>ORB_init</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a7e56c54f4f8db361e652f7407df3d2e8</anchor>
      <arglist>(int &amp;argc, char *argv[], const char *orb_name=0)</arglist>
    </member>
    <member kind="function">
      <type>Boolean</type>
      <name>is_nil</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ab4d37357a34d761e5af7bd93311ea315</anchor>
      <arglist>(T x)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>release</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a520c1c798d6e697e1dff7050c7f379de</anchor>
      <arglist>(T x)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>release</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a095becca39ee633075927335b756de1d</anchor>
      <arglist>(Environment_ptr env)</arglist>
    </member>
    <member kind="function">
      <type>ACE_OSTREAM_TYPE &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a759148d02508fa2dc081bd171de8491b</anchor>
      <arglist>(ACE_OSTREAM_TYPE &amp;os, const CORBA::Exception &amp;e)</arglist>
    </member>
    <member kind="function">
      <type>ACE_OSTREAM_TYPE &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>afe6776f088bc5239ab438f5ee9944ed9</anchor>
      <arglist>(ACE_OSTREAM_TYPE &amp;os, const CORBA::Exception *e)</arglist>
    </member>
    <member kind="function">
      <type>Boolean</type>
      <name>is_nil</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a39457a09e00a9b4d0c9975ac7083ec91</anchor>
      <arglist>(Object_ptr)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>string_alloc</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aad7a181b3b13bf50a22a9b58af8b3fa2</anchor>
      <arglist>(ULong len)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>string_dup</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a1ffba9ce95a6565e28649f2aada84931</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>string_free</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a0c26ac72a80b53e0f6848aa637964447</anchor>
      <arglist>(char *)</arglist>
    </member>
    <member kind="function">
      <type>WChar *</type>
      <name>wstring_alloc</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ac77c262d7ce94083c7d959f1449a9de9</anchor>
      <arglist>(ULong len)</arglist>
    </member>
    <member kind="function">
      <type>WChar *</type>
      <name>wstring_dup</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a2891ead8ce1e9683bfc7cd5700c44ba0</anchor>
      <arglist>(const WChar *const)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>wstring_free</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a41b16e99aef5979136c43764a59a94b1</anchor>
      <arglist>(WChar *const)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>NO_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36ba997f6951c3c5923e268aff68df371788</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>USER_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36ba4110b2bc02132fc4be874d94be96faee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>SYSTEM_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36bacd744ba176bdde4c2cb541bd8ac8b996</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>NO_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36ba997f6951c3c5923e268aff68df371788</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>USER_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36ba4110b2bc02132fc4be874d94be96faee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>SYSTEM_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36bacd744ba176bdde4c2cb541bd8ac8b996</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>NO_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36ba997f6951c3c5923e268aff68df371788</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>USER_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36ba4110b2bc02132fc4be874d94be96faee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>SYSTEM_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36bacd744ba176bdde4c2cb541bd8ac8b996</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>NO_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36ba997f6951c3c5923e268aff68df371788</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>USER_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36ba4110b2bc02132fc4be874d94be96faee</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>SYSTEM_EXCEPTION</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcdfccc7df73f3543330ba74463af36bacd744ba176bdde4c2cb541bd8ac8b996</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>PARAM_IN</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aadf6015a572d4b5d05ccd78ce41af8f0a49d641acce75276612880adf858e1a85</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>PARAM_OUT</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aadf6015a572d4b5d05ccd78ce41af8f0a282368e7429795ee8c61e3091b57734b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>PARAM_INOUT</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>aadf6015a572d4b5d05ccd78ce41af8f0a97b23c2a83f3d80ba365189c8bb0826a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>SET_OVERRIDE</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9c9c7d7de944bc381c020ed28e896483a6437f12f7f8eaae60af54cababd1e550</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ADD_OVERRIDE</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9c9c7d7de944bc381c020ed28e896483a2182807bef09cd02eeaf367bc78e96bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>COMPLETED_YES</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a117d0ed00d31f38b8f3ff5591a48075ca8312114a6ce1d07a9e83a315fa06425a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>COMPLETED_NO</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a117d0ed00d31f38b8f3ff5591a48075caf133b0c720847423a8adb6b24d565749</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>COMPLETED_MAYBE</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a117d0ed00d31f38b8f3ff5591a48075ca8996b5cd258e65cc12014e4343a12a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_null</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da4eb3b08f7bf8080cf5bb5172b0db2527</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_void</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da088f9997572c0a91a1cebc6de16d749d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_short</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da2140250801ff35bed098785fd3e13236</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_long</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da28f0c8fa2a744d3df7093df61e030219</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ushort</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da9bd6a68ad9d137c4bc242dc2cc195012</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ulong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da6348c89fa2f0b0e46cc0fe16eb323e27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_float</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da77dc4467b9a2e8f81a77ab605261e44d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_double</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dacc2e938f5dd2f49bf0c46ba97919159a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_boolean</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00daa8a5c4bbb7094a54f1e1647a1e5f1e79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_char</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da275da3960f72e358da0dfd4449095858</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_octet</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da5c32ec053e25910f0875a19341018752</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_any</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da94c7b50996a0533fa2eaa1ad8f2c0efc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_TypeCode</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da5c146556ccb9125ee3fd584cb9891341</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_Principal</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da07bfd6df530dcf5ae00df32dd51e3ccd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_objref</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da7c9abdfee6060c870428129c003afef7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_struct</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da8a91eaceee2b5ef4be1d2d3704074605</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_union</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dacef1244aea4b2b9bb77c7318e647eb05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_enum</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dac3c521c208f1a893710fee8ed7036a0f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_string</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da2a5d8664f05f04902d81bcc4c2c0e3a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_sequence</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dad530a4cd5a338009f61fb3e01a3b592f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_array</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da99f549261dc8e3cf7d91d7727ecf96b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_alias</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dae2e318254257d0c04893ab286d994a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_except</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da0ffb55fe96e71f1b274b7eeb7ad54dc5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_longlong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da023e72064a4569d68d7f9fdfb3c1e83a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ulonglong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da36eea239368f0c717341c92faab78acd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_longdouble</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dae357096ece67879fd4034c2376206235</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_wchar</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da7836a018b4350408f514ee4f2106587f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_wstring</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dadb5787fe595f20e6523e32e609def076</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_fixed</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da8c50dce72817a3d2141bec59c53d5e24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_value</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00daa884146e6e1cf2b896c14f7da8dea3b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_value_box</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da925f491618ce8be77638e698067f3175</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_native</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dac29206e1b2621d84c48399f43d95d41b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_abstract_interface</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da4afac291ebb3df8391d5f10d585b2f45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_local_interface</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da67095aa4712b21b2d228df1ef72c7cdd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_component</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da81c35460bd64cd67da357205a1f734fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_home</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da354e0fd57f58e667fd1b4b56adc6d765</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_event</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da87f932c5666f46179ad5009ba598fbaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_null</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da4eb3b08f7bf8080cf5bb5172b0db2527</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_void</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da088f9997572c0a91a1cebc6de16d749d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_short</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da2140250801ff35bed098785fd3e13236</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_long</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da28f0c8fa2a744d3df7093df61e030219</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ushort</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da9bd6a68ad9d137c4bc242dc2cc195012</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ulong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da6348c89fa2f0b0e46cc0fe16eb323e27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_float</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da77dc4467b9a2e8f81a77ab605261e44d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_double</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dacc2e938f5dd2f49bf0c46ba97919159a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_boolean</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00daa8a5c4bbb7094a54f1e1647a1e5f1e79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_char</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da275da3960f72e358da0dfd4449095858</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_octet</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da5c32ec053e25910f0875a19341018752</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_any</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da94c7b50996a0533fa2eaa1ad8f2c0efc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_TypeCode</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da5c146556ccb9125ee3fd584cb9891341</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_Principal</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da07bfd6df530dcf5ae00df32dd51e3ccd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_objref</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da7c9abdfee6060c870428129c003afef7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_struct</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da8a91eaceee2b5ef4be1d2d3704074605</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_union</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dacef1244aea4b2b9bb77c7318e647eb05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_enum</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dac3c521c208f1a893710fee8ed7036a0f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_string</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da2a5d8664f05f04902d81bcc4c2c0e3a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_sequence</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dad530a4cd5a338009f61fb3e01a3b592f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_array</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da99f549261dc8e3cf7d91d7727ecf96b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_alias</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dae2e318254257d0c04893ab286d994a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_except</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da0ffb55fe96e71f1b274b7eeb7ad54dc5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_longlong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da023e72064a4569d68d7f9fdfb3c1e83a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ulonglong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da36eea239368f0c717341c92faab78acd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_longdouble</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dae357096ece67879fd4034c2376206235</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_wchar</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da7836a018b4350408f514ee4f2106587f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_wstring</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dadb5787fe595f20e6523e32e609def076</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_fixed</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da8c50dce72817a3d2141bec59c53d5e24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_value</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00daa884146e6e1cf2b896c14f7da8dea3b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_value_box</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da925f491618ce8be77638e698067f3175</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_native</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dac29206e1b2621d84c48399f43d95d41b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_abstract_interface</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da4afac291ebb3df8391d5f10d585b2f45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_local_interface</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da67095aa4712b21b2d228df1ef72c7cdd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_component</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da81c35460bd64cd67da357205a1f734fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_home</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da354e0fd57f58e667fd1b4b56adc6d765</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_event</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da87f932c5666f46179ad5009ba598fbaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>TAO_TC_KIND_COUNT</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dafcb0f72111c99f6485686db0711b4b0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_null</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da4eb3b08f7bf8080cf5bb5172b0db2527</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_void</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da088f9997572c0a91a1cebc6de16d749d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_short</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da2140250801ff35bed098785fd3e13236</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_long</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da28f0c8fa2a744d3df7093df61e030219</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ushort</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da9bd6a68ad9d137c4bc242dc2cc195012</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ulong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da6348c89fa2f0b0e46cc0fe16eb323e27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_float</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da77dc4467b9a2e8f81a77ab605261e44d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_double</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dacc2e938f5dd2f49bf0c46ba97919159a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_boolean</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00daa8a5c4bbb7094a54f1e1647a1e5f1e79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_char</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da275da3960f72e358da0dfd4449095858</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_octet</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da5c32ec053e25910f0875a19341018752</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_any</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da94c7b50996a0533fa2eaa1ad8f2c0efc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_TypeCode</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da5c146556ccb9125ee3fd584cb9891341</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_Principal</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da07bfd6df530dcf5ae00df32dd51e3ccd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_objref</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da7c9abdfee6060c870428129c003afef7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_struct</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da8a91eaceee2b5ef4be1d2d3704074605</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_union</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dacef1244aea4b2b9bb77c7318e647eb05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_enum</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dac3c521c208f1a893710fee8ed7036a0f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_string</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da2a5d8664f05f04902d81bcc4c2c0e3a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_sequence</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dad530a4cd5a338009f61fb3e01a3b592f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_array</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da99f549261dc8e3cf7d91d7727ecf96b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_alias</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dae2e318254257d0c04893ab286d994a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_except</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da0ffb55fe96e71f1b274b7eeb7ad54dc5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_longlong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da023e72064a4569d68d7f9fdfb3c1e83a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ulonglong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da36eea239368f0c717341c92faab78acd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_longdouble</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dae357096ece67879fd4034c2376206235</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_wchar</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da7836a018b4350408f514ee4f2106587f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_wstring</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dadb5787fe595f20e6523e32e609def076</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_fixed</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da8c50dce72817a3d2141bec59c53d5e24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_value</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00daa884146e6e1cf2b896c14f7da8dea3b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_value_box</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da925f491618ce8be77638e698067f3175</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_native</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dac29206e1b2621d84c48399f43d95d41b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_abstract_interface</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da4afac291ebb3df8391d5f10d585b2f45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_local_interface</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da67095aa4712b21b2d228df1ef72c7cdd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_component</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da81c35460bd64cd67da357205a1f734fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_home</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da354e0fd57f58e667fd1b4b56adc6d765</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_event</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da87f932c5666f46179ad5009ba598fbaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_null</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da4eb3b08f7bf8080cf5bb5172b0db2527</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_void</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da088f9997572c0a91a1cebc6de16d749d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_short</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da2140250801ff35bed098785fd3e13236</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_long</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da28f0c8fa2a744d3df7093df61e030219</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ushort</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da9bd6a68ad9d137c4bc242dc2cc195012</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ulong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da6348c89fa2f0b0e46cc0fe16eb323e27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_float</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da77dc4467b9a2e8f81a77ab605261e44d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_double</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dacc2e938f5dd2f49bf0c46ba97919159a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_boolean</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00daa8a5c4bbb7094a54f1e1647a1e5f1e79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_char</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da275da3960f72e358da0dfd4449095858</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_octet</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da5c32ec053e25910f0875a19341018752</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_any</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da94c7b50996a0533fa2eaa1ad8f2c0efc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_TypeCode</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da5c146556ccb9125ee3fd584cb9891341</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_Principal</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da07bfd6df530dcf5ae00df32dd51e3ccd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_objref</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da7c9abdfee6060c870428129c003afef7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_struct</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da8a91eaceee2b5ef4be1d2d3704074605</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_union</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dacef1244aea4b2b9bb77c7318e647eb05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_enum</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dac3c521c208f1a893710fee8ed7036a0f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_string</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da2a5d8664f05f04902d81bcc4c2c0e3a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_sequence</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dad530a4cd5a338009f61fb3e01a3b592f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_array</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da99f549261dc8e3cf7d91d7727ecf96b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_alias</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dae2e318254257d0c04893ab286d994a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_except</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da0ffb55fe96e71f1b274b7eeb7ad54dc5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_longlong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da023e72064a4569d68d7f9fdfb3c1e83a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_ulonglong</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da36eea239368f0c717341c92faab78acd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_longdouble</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dae357096ece67879fd4034c2376206235</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_wchar</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da7836a018b4350408f514ee4f2106587f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_wstring</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dadb5787fe595f20e6523e32e609def076</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_fixed</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da8c50dce72817a3d2141bec59c53d5e24</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_value</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00daa884146e6e1cf2b896c14f7da8dea3b0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_value_box</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da925f491618ce8be77638e698067f3175</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_native</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dac29206e1b2621d84c48399f43d95d41b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_abstract_interface</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da4afac291ebb3df8391d5f10d585b2f45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_local_interface</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da67095aa4712b21b2d228df1ef72c7cdd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_component</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da81c35460bd64cd67da357205a1f734fa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_home</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da354e0fd57f58e667fd1b4b56adc6d765</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>tk_event</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00da87f932c5666f46179ad5009ba598fbaa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>TAO_TC_KIND_COUNT</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a9bf3c5ccf39b5f46145834e16ca8d00dafcb0f72111c99f6485686db0711b4b0c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const ULong</type>
      <name>OMGVMCID</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a25a451761e97bc54b15387c6cf317f5d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const PolicyErrorCode</type>
      <name>BAD_POLICY</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>ae6b1d3ef394633c1dc90ce6c400f7c9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const PolicyErrorCode</type>
      <name>UNSUPPORTED_POLICY</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>af04d69e9e07f0734ae2d691556309f57</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const PolicyErrorCode</type>
      <name>BAD_POLICY_TYPE</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a4d9249fbe78e68cd10efcc4e07c7bbe4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const PolicyErrorCode</type>
      <name>BAD_POLICY_VALUE</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abcbcbee482d35f7f25b1af3c79511e94</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const PolicyErrorCode</type>
      <name>UNSUPPORTED_POLICY_VALUE</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>abd6cb0d1b118f99cfec67f36a295e3e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const ServiceType</type>
      <name>Security</name>
      <anchorfile>a01138.html</anchorfile>
      <anchor>a76d60348d6c188af26f5d2587dc673a8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO</name>
    <filename>a00029.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a878a09c0a6b1c88dbb8a8af77ef97799</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_array_sequence&lt; T_array, T_slice, T_tag, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ae1c04959ff558635f5409703fef39e20</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_array_sequence&lt; T_array, T_slice, T_tag, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a9212964f2fb8628a87c95a727d5937e0</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Short, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad3526e200154e9e94a857708ea290133</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Long, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aaa6566e5dcd0152114ed7fad6fd85c62</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::ULong, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a11164f63a510f3dc7c729e0dd154e2ff</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::UShort, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aaed0fcfcb12e232d0f18caef4a3bd6b1</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Octet, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a42e074a1b38d9dcf4fdfccf83afd49d0</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Char, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a01d9aec7879ff8737d543953dd9453a4</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Float, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a4a0ddbb118bd339744e1fc210a3792d7</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Double, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a9bdb9f3b12fa0497ffb0cc7cc44d9463</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::LongLong, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ae89be5c5e2b2f44fca5de2a05d9ae691</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::ULongLong, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a474c629823ecfe13d11a532066dff7da</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::LongDouble, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ab1d8b90a176bf1910d7aa8540d0f9338</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; CORBA::Boolean, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a748f636f4a861cd12fbf0771fa640efb</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_value_sequence&lt; value_t, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>acc1f947bb732b3f5348128e650531d81</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_basic_string_sequence&lt; charT, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a10a5b40e182dae812ccc66a2f0bc692d</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_bd_string_sequence&lt; charT, MAX, BD_STR_MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aa796c0e2a837ba5a123bab77f0b78ecf</anchor>
      <arglist>(stream &amp;strm, TAO::bounded_object_reference_sequence&lt; object_t, object_t_var, MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aab2c28a034755ef26ce2ffea6a88fae1</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Short, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad02f5cb90d83ebcad726bbd719542242</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Long, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a6e3f68b81693cddda3032f66990ac2b9</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::ULong, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a8b4cb747346a1a6b5cd11e1e5a1fa2a5</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::UShort, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a6a7f96e1ecd8abb7b649a3633406b124</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Octet, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a45aebc3180eeeb5b138ffcdbff34bf34</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Char, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a0eb7a99f6b1ba5ff3ac0d0be344b3341</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Float, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a542ebc7348f598de1514224bb549cf7c</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Double, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aff5b6d970756bf51575262ef8747385a</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::LongLong, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a9bc8236c17a35f60fcc039d92d760bb7</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::ULongLong, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ac82795209e000382993b119b0ac87d86</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::LongDouble, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a982970309388115ce16b7589ea54ea69</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; CORBA::Boolean, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a9a628e185af448048e12bed648d00e10</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_value_sequence&lt; value_t, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a539169094947c27f6cee29725b3982f3</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_basic_string_sequence&lt; charT, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a49ef4b98bb3661b003c0479129f17c15</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_bd_string_sequence&lt; charT, MAX, BD_STR_MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aa9a7644a8fb771e17e91eb5943266a57</anchor>
      <arglist>(stream &amp;strm, const TAO::bounded_object_reference_sequence&lt; object_t, object_t_var, MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>translate_collocation_strategy</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a5416d4d78ceb2d5cec6dd53a68d86e39</anchor>
      <arglist>(Collocation_Strategy cs)</arglist>
    </member>
    <member kind="function">
      <type>CORBA::SystemException *</type>
      <name>create_system_exception</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ac992edd623df16d9c81884ddcaa19673</anchor>
      <arglist>(const char *id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>parse_orb_opt</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a5ce941a696e90ebb72afdec087a0378e</anchor>
      <arglist>(ACE_Argv_Type_Converter &amp;command_line, const ACE_TCHAR *orb_opt, ACE_TString &amp;opt_arg)</arglist>
    </member>
    <member kind="function">
      <type>ACE_Intrusive_Auto_Ptr&lt; ACE_Service_Gestalt &gt;</type>
      <name>find_orb_context</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a3810fd72395babb087816536128dfe95</anchor>
      <arglist>(const ACE_TString &amp;orbconfig_string)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad939a61f5f3332cc2649634f429c72f0</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_array_sequence&lt; T_array, T_slice, T_tag &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a762c9347872d23ac1aa15e5486e580dc</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_array_sequence&lt; T_array, T_slice, T_tag &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a32ce14f77019e559496a41b9bfb7d8f6</anchor>
      <arglist>(stream &amp;strm, unbounded_value_sequence&lt; CORBA::Short &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a1a73e063dbce75322d2410ec5871c689</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Long &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a7d2d93b3687a89e53c20c3b507dae1f0</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::ULong &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aab287dd47d6ae8728367ddda408ff372</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::UShort &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a9da8b7d693fd102ce54f20084d23813f</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Octet &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a848fe3183191ceab41d4f52cef1656d4</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Char &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>afaf240c8d52df30c1f7d4b0254a4afd2</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Float &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aa4fc3bf77397436cbff4a4dc3b87f3a9</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Double &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a0b2e00293ca78d4cb9cdecd58b7047f8</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::LongLong &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a71fccf1625844571c96f30483edd9f03</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::ULongLong &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ae392af34e1637ee35f87afe95d58a772</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::LongDouble &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aacd1234cdb09ecfca169fd3bc517b1ee</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; CORBA::Boolean &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a550dc7ebcaf672d0ca7c6adae7deb4ac</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_value_sequence&lt; value_t &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aa8e09276c0387555b6667032cca150a6</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_basic_string_sequence&lt; charT &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a3486900e6916645584644b35fac5601b</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_bd_string_sequence&lt; charT, BD_STR_MAX &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a41ef398a828912371dc5825d144ff90a</anchor>
      <arglist>(stream &amp;strm, TAO::unbounded_object_reference_sequence&lt; object_t, object_t_var &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a416daabf082ec5f1366994e349c65291</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Short &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a06d5cc7247357501812e7926e088f9b4</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Long &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ac5ab8ecdd017f39e92a600f5bee9b51e</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::ULong &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a0149c0a331604aa3b4603b9cc6d1e226</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::UShort &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ac95fa0dd7b8d1f0a0d5327bdfbfe5153</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Octet &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a7d8ac9926279cb51df83bb565dcf2110</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Char &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>af5a648f0330c582b20272fe7d4d8e17a</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Float &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad203a2976cb07561df585bb2a6162751</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Double &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a92948a6b30dbe34d4a5617af19d77b4f</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::LongLong &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a803ba8d41f40a230e17ac18000fc1ad1</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::ULongLong &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>abca9ba8097b37a9bcb5a8d21ebb3123d</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::LongDouble &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a7654b78f3672e0c3ae2acfc2e475bb6e</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; CORBA::Boolean &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad1d6f9544cb3aa0dc23e5eb88b99d9a3</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_value_sequence&lt; value_t &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a094b325b8da5943af63b08c0f9559a25</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_basic_string_sequence&lt; charT &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a7fb3dd4120ebcdaa65085aeb62f850b6</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_bd_string_sequence&lt; charT, BD_STR_MAX &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_sequence</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a550d7d78611a16949b304808bbe83079</anchor>
      <arglist>(stream &amp;strm, const TAO::unbounded_object_reference_sequence&lt; object_t, object_t_var &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_value_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ad03f521bf5b32e89d7294391cbdee89f</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const std::vector&lt; T &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_value_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>ab6b08f83e66687de6920c7316c661db7</anchor>
      <arglist>(TAO_InputCDR &amp;strm, std::vector&lt; T &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_objref_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a170761fcd73e144ce6e55ddb40474560</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const std::vector&lt; typename T::_ptr_type &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_objref_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aaf5fcaa41ca81d25c088ee773c0d0784</anchor>
      <arglist>(TAO_InputCDR &amp;strm, std::vector&lt; typename T::_ptr_type &gt; &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>marshal_array_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>aa55095a97c2edb4a00df490dcaad2787</anchor>
      <arglist>(TAO_OutputCDR &amp;strm, const std::vector&lt; typename T_forany::_slice_type * &gt; &amp;source)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>demarshal_array_vector</name>
      <anchorfile>a01147.html</anchorfile>
      <anchor>a6ee8b35b2c2505a156b14a0b9d9c7f79</anchor>
      <arglist>(TAO_InputCDR &amp;strm, const std::vector&lt; typename T_forany::_slice_type * &gt; &amp;source)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TAO_IOP</name>
    <filename>a00030.html</filename>
    <class kind="exception">TAO_IOP::Duplicate</class>
    <class kind="exception">TAO_IOP::EmptyProfileList</class>
    <class kind="exception">TAO_IOP::Invalid_IOR</class>
    <class kind="exception">TAO_IOP::MultiProfileList</class>
    <class kind="exception">TAO_IOP::NotFound</class>
    <class kind="interface">TAO_IOP::TAO_IOR_Manipulation</class>
    <class kind="interface">TAO_IOP::TAO_IOR_Property</class>
  </compound>
</tagfile>
